diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/traffic-control/test/codel-queue-disc-test-suite.cc ns-3.36/src/traffic-control/test/codel-queue-disc-test-suite.cc
--- ns-3.35/src/traffic-control/test/codel-queue-disc-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/traffic-control/test/codel-queue-disc-test-suite.cc	2022-04-30 18:23:58.170735000 -0700
@@ -955,8 +947,8 @@
                 {
                   currentDropCount = queue->GetStats ().GetNDroppedPackets (CoDelQueueDisc::TARGET_EXCEEDED_DROP);
                   currentCeThreshMarkCount = queue->GetStats ().GetNMarkedPackets (CoDelQueueDisc::CE_THRESHOLD_EXCEEDED_MARK);
-                  NS_TEST_EXPECT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be 1 packet dequeued.");
-                  NS_TEST_EXPECT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
+                  NS_TEST_ASSERT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be 1 packet dequeued.");
+                  NS_TEST_ASSERT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
                   NS_TEST_ASSERT_MSG_EQ (currentCeThreshMarkCount, 0, "Sojourn time has not gone above CE threshold."
                                         "Hence, there should not be any CE threshold exceeded marked packet");
                 }
@@ -964,9 +956,9 @@
                 {
                   currentDropCount = queue->GetStats ().GetNDroppedPackets (CoDelQueueDisc::TARGET_EXCEEDED_DROP);
                   currentCeThreshMarkCount = queue->GetStats ().GetNMarkedPackets (CoDelQueueDisc::CE_THRESHOLD_EXCEEDED_MARK);
-                  NS_TEST_EXPECT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
-                  NS_TEST_EXPECT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
-                  NS_TEST_EXPECT_MSG_EQ (currentCeThreshMarkCount, 1, "Sojourn time has gone above CE threshold."
+                  NS_TEST_ASSERT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
+                  NS_TEST_ASSERT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
+                  NS_TEST_ASSERT_MSG_EQ (currentCeThreshMarkCount, 1, "Sojourn time has gone above CE threshold."
                                         "There should be 1 CE threshold exceeded marked packet");
                 }
             }
@@ -976,17 +968,17 @@
                 {
                   currentDropCount = queue->GetStats ().GetNDroppedPackets (CoDelQueueDisc::TARGET_EXCEEDED_DROP);
                   currentCeThreshMarkCount = queue->GetStats ().GetNMarkedPackets (CoDelQueueDisc::CE_THRESHOLD_EXCEEDED_MARK);
-                  NS_TEST_EXPECT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
-                  NS_TEST_EXPECT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
-                  NS_TEST_EXPECT_MSG_EQ (currentCeThreshMarkCount, 2, "There should be 2 CE threshold exceeded marked packets");
+                  NS_TEST_ASSERT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
+                  NS_TEST_ASSERT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
+                  NS_TEST_ASSERT_MSG_EQ (currentCeThreshMarkCount, 2, "There should be 2 CE threshold exceeded marked packets");
                 }
               else
                 { // In dropping state
                   currentDropCount = queue->GetStats ().GetNDroppedPackets (CoDelQueueDisc::TARGET_EXCEEDED_DROP);
                   currentCeThreshMarkCount = queue->GetStats ().GetNMarkedPackets (CoDelQueueDisc::CE_THRESHOLD_EXCEEDED_MARK);
-                  NS_TEST_EXPECT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
-                  NS_TEST_EXPECT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
-                  NS_TEST_EXPECT_MSG_EQ (currentCeThreshMarkCount, 3, "There should be 3 CE threshold exceeded marked packet");
+                  NS_TEST_ASSERT_MSG_EQ (queue->GetCurrentSize ().GetValue (), initialQSize - modeSize, "There should be only 1 more packet dequeued.");
+                  NS_TEST_ASSERT_MSG_EQ (currentDropCount, 0, "There should not be any packet drops");
+                  NS_TEST_ASSERT_MSG_EQ (currentCeThreshMarkCount, 3, "There should be 3 CE threshold exceeded marked packet");
                 }
             }
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/traffic-control/test/fifo-queue-disc-test-suite.cc ns-3.36/src/traffic-control/test/fifo-queue-disc-test-suite.cc
--- ns-3.35/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/traffic-control/test/fifo-queue-disc-test-suite.cc	2022-04-30 18:23:58.170735000 -0700
@@ -50,22 +50,16 @@
    */
   FifoQueueDiscTestItem (Ptr<Packet> p, const Address & addr);
   virtual ~FifoQueueDiscTestItem ();
+
+  // Delete copy constructor and assignment operator to avoid misuse
+  FifoQueueDiscTestItem (const FifoQueueDiscTestItem &) = delete;
+  FifoQueueDiscTestItem & operator = (const FifoQueueDiscTestItem &) = delete;
+
   virtual void AddHeader (void);
   virtual bool Mark (void);
 
 private:
   FifoQueueDiscTestItem ();
-  /**
-   * \brief Copy constructor
-   * Disable default implementation to avoid misuse
-   */
-  FifoQueueDiscTestItem (const FifoQueueDiscTestItem &);
-  /**
-   * \brief Assignment operator
-   * \return this object
-   * Disable default implementation to avoid misuse
-   */
-  FifoQueueDiscTestItem &operator = (const FifoQueueDiscTestItem &);
 };
 
 FifoQueueDiscTestItem::FifoQueueDiscTestItem (Ptr<Packet> p, const Address & addr)
@@ -129,7 +123,7 @@
   uint32_t modeSize = (q->GetMaxSize ().GetUnit () == QueueSizeUnit::PACKETS ? 1 : pktSize);
   uint32_t numPackets = qSize / modeSize;
 
-  NS_TEST_EXPECT_MSG_EQ (q->GetCurrentSize ().GetValue (), 0, "The queue disc should be empty");
+  NS_TEST_ASSERT_MSG_EQ (q->GetCurrentSize ().GetValue (), 0, "The queue disc should be empty");
 
   // create and enqueue numPackets packets and store their UIDs; check they are all enqueued
   for (uint32_t i = 1; i <= numPackets; i++)
@@ -137,24 +131,24 @@
       p = Create<Packet> (pktSize);
       uids.push_back (p->GetUid ());
       q->Enqueue (Create<FifoQueueDiscTestItem> (p, dest));
-      NS_TEST_EXPECT_MSG_EQ (q->GetCurrentSize ().GetValue (), i * modeSize, "There should be " << i << " packet(s) in there");
+      NS_TEST_ASSERT_MSG_EQ (q->GetCurrentSize ().GetValue (), i * modeSize, "There should be " << i << " packet(s) in there");
     }
 
   // no room for another packet
-  NS_TEST_EXPECT_MSG_EQ (q->Enqueue (Create<FifoQueueDiscTestItem> (p, dest)), 
+  NS_TEST_ASSERT_MSG_EQ (q->Enqueue (Create<FifoQueueDiscTestItem> (p, dest)), 
                          false, "There should be no room for another packet");
 
   // dequeue and check packet order
   for (uint32_t i = 1; i <= numPackets; i++)
     {
       item = q->Dequeue ();
-      NS_TEST_EXPECT_MSG_EQ ((item != 0), true, "A packet should have been dequeued");
-      NS_TEST_EXPECT_MSG_EQ (q->GetCurrentSize ().GetValue (), (numPackets-i) * modeSize, "There should be " << numPackets-i << " packet(s) in there");
-      NS_TEST_EXPECT_MSG_EQ (item->GetPacket ()->GetUid (), uids[i-1], "was this the right packet?");
+      NS_TEST_ASSERT_MSG_EQ ((item != 0), true, "A packet should have been dequeued");
+      NS_TEST_ASSERT_MSG_EQ (q->GetCurrentSize ().GetValue (), (numPackets-i) * modeSize, "There should be " << numPackets-i << " packet(s) in there");
+      NS_TEST_ASSERT_MSG_EQ (item->GetPacket ()->GetUid (), uids[i-1], "was this the right packet?");
     }
 
   item = q->Dequeue ();
-  NS_TEST_EXPECT_MSG_EQ ((item == 0), true, "There are really no packets in there");
+  NS_TEST_ASSERT_MSG_EQ ((item == 0), true, "There are really no packets in there");
 }
 
 void
@@ -168,9 +162,9 @@
   // test 1: set the limit on the queue disc before initialization
   queue = CreateObject<FifoQueueDisc> ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
+  NS_TEST_ASSERT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
 
-  NS_TEST_EXPECT_MSG_EQ (queue->SetAttributeFailSafe ("MaxSize",
+  NS_TEST_ASSERT_MSG_EQ (queue->SetAttributeFailSafe ("MaxSize",
                                                       QueueSizeValue (QueueSize (mode, numPackets*modeSize))),
                          true, "Verify that we can actually set the attribute MaxSize");
 
@@ -182,11 +176,11 @@
   // test 2: set the limit on the queue disc after initialization
   queue = CreateObject<FifoQueueDisc> ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
+  NS_TEST_ASSERT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
 
   queue->Initialize ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->SetAttributeFailSafe ("MaxSize",
+  NS_TEST_ASSERT_MSG_EQ (queue->SetAttributeFailSafe ("MaxSize",
                                                       QueueSizeValue (QueueSize (mode, numPackets*modeSize))),
                          true, "Verify that we can actually set the attribute MaxSize");
 
@@ -196,7 +190,7 @@
   // test 3: set the limit on the internal queue before initialization
   queue = CreateObject<FifoQueueDisc> ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
+  NS_TEST_ASSERT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
 
   ObjectFactory factory;
   factory.SetTypeId ("ns3::DropTailQueue<QueueDiscItem>");
@@ -218,23 +212,23 @@
   // test 4: set the limit on the internal queue after initialization
   queue = CreateObject<FifoQueueDisc> ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
+  NS_TEST_ASSERT_MSG_EQ (queue->GetNInternalQueues (), 0, "Verify that the queue disc has no internal queue");
 
   queue->Initialize ();
 
-  NS_TEST_EXPECT_MSG_EQ (queue->GetNInternalQueues (), 1, "Verify that the queue disc got an internal queue");
+  NS_TEST_ASSERT_MSG_EQ (queue->GetNInternalQueues (), 1, "Verify that the queue disc got an internal queue");
 
   Ptr<QueueDisc::InternalQueue> iq = queue->GetInternalQueue (0);
 
   if (mode == QueueSizeUnit::PACKETS)
     {
-      NS_TEST_EXPECT_MSG_EQ (iq->SetAttributeFailSafe ("MaxSize",
+      NS_TEST_ASSERT_MSG_EQ (iq->SetAttributeFailSafe ("MaxSize",
                                                        QueueSizeValue (QueueSize  (QueueSizeUnit::PACKETS, numPackets))),
                              true, "Verify that we can actually set the attribute MaxSize on the internal queue");
     }
   else
     {
-      NS_TEST_EXPECT_MSG_EQ (iq->SetAttributeFailSafe ("MaxSize",
+      NS_TEST_ASSERT_MSG_EQ (iq->SetAttributeFailSafe ("MaxSize",
                                                        QueueSizeValue (QueueSize  (QueueSizeUnit::BYTES, numPackets*pktSize))),
                              true, "Verify that we can actually set the attribute MaxSize on the internal queue");
     }
